{
  "name": "shaper-react",
  "version": "1.0.234",
  "description": "Shaper react library",
  "author": "chrisyap",
  "license": "MIT",
  "repository": "chrisyap/shaper-react",
  "main": "dist/index.js",
  "files": [
    "dist"
  ],
  "engines": {
    "node": ">=8",
    "npm": ">=5"
  },
  "scripts": {
    "test": "cross-env NODE_ENV=development CI=1 react-scripts test --env=jsdom",
    "test:watch": "react-scripts test --env=jsdom",
    "start": "npm run copyTs && babel ./src --watch --out-dir ./dist -s inline",
    "prepublishOnly": "npm run copyTs && babel ./src --out-dir ./dist -s inline",
    "predeploy": "cd example && npm install && npm run build",
    "deploy": "gh-pages -d example/build",
    "copyTs": "cp ./index.d.ts ./dist"
  },
  "dependencies": {
    "enquire.js": "^2.1.6",
    "json2mq": "^0.2.0",
    "lodash.debounce": "^4.0.8",
    "react-click-outside": "^3.0.1",
    "react-datetime": "^2.16.3",
    "react-id-generator": "^2.0.0",
    "react-input-mask": "^2.0.4",
    "react-measure": "^2.3.0",
    "react-overflow": "^0.2.1",
    "react-select": "^3.0.8",
    "resize-observer-polyfill": "^1.5.1"
  },
  "peerDependencies": {
    "polished": ">= 3",
    "prop-types": "^15.7.2",
    "react": ">= 16",
    "react-dom": ">= 16",
    "react-router-dom": "^4.3.1",
    "styled-components": ">= 4",
    "styled-system": "^5.1.2"
  },
  "devDependencies": {
    "@babel/cli": "^7.7.0",
    "@babel/core": "^7.7.2",
    "@babel/plugin-proposal-class-properties": "^7.7.0",
    "@babel/preset-env": "^7.7.1",
    "@babel/preset-react": "^7.7.0",
    "classnames": "^2.2.6",
    "cross-env": "^5.2.1",
    "eslint": "^5.16.0",
    "eslint-config-standard": "^11.0.0",
    "eslint-config-standard-react": "^6.0.0",
    "eslint-plugin-import": "^2.18.2",
    "eslint-plugin-node": "^7.0.1",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.16.0",
    "eslint-plugin-react-hooks": "^2.2.0",
    "eslint-plugin-standard": "^3.1.0",
    "gh-pages": "^1.2.0",
    "install-peers-cli": "^2.1.1",
    "moment": "^2.24.0",
    "polished": "^3.4.2",
    "react": "^16.11.0",
    "react-dom": "^16.11.0",
    "react-is": "^16.11.0",
    "react-router-dom": "^4.3.1",
    "react-scripts": "^3.2.0",
    "react-transition-group": "^4.3.0",
    "styled-components": "^5.0.0-rc.1",
    "styled-system": "^5.1.2"
  }
}
